diff --git a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
index 9c57be8e3..8927e5511 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
@@ -76,411 +76,401 @@ public class ScreenModelViewer extends ScreenPhotoMode implements ListenerTextFi
     protected final int defaultRed = (int) (255 * 0.25f);
     protected final int defaultGreen = (int) (255 * 0.25f);
     protected final int defaultBlue = (int) (255 * 0.35f);
-    protected int bgRed = defaultRed;
-    protected int bgGreen = defaultGreen;
-    protected int bgBlue = defaultBlue;
+    protected int bgRed = this.defaultRed;
+    protected int bgGreen = this.defaultGreen;
+    protected int bgBlue = this.defaultBlue;
 
     protected boolean tickProgress = true;
     protected boolean rotateToCamera = true;
-    public ScreenModelViewer(){
+
+    public ScreenModelViewer() {
         DisplayChunk.displayBlockId = 0;
         DisplayChunk.displayBlockMeta = 0;
-        mc.currentWorld.entities.clear();
-        mc.currentWorld.tileEntityList.clear();
-        mc.thePlayer.absMoveTo(0.5, 64.5, 0.5, 180, 0);
-        mc.thePlayer.noPhysics = true;
-        mc.textureManager.refreshTexturesAndDisplayErrors();
-        mc.textureManager.updateDynamicTextures(false);
-
-        if(Shaders.enableShaders) {
-            photoModeRenderer = new PhotoModeRenderer(mc, this);
-        }
+        this.mc.currentWorld.entities.clear();
+        this.mc.currentWorld.tileEntityList.clear();
+        this.mc.thePlayer.absMoveTo(0.5, 64.5, 0.5, 180, 0);
+        this.mc.thePlayer.noPhysics = true;
+        this.mc.textureManager.refreshTexturesAndDisplayErrors();
+        this.mc.textureManager.updateDynamicTextures(false);
+
+        this.photoModeRenderer = new PhotoModeRenderer(this.mc, this);
 
-        this.previousRenderer = mc.renderer;
-        showPlayer = false;
-        showHelpText = false;
-        lastIZoom = iZoom = iZoomGoal = 8.5f;
+        this.previousRenderer = this.mc.renderer;
+        this.showPlayer = false;
+        this.showHelpText = false;
+        this.lastIZoom = this.iZoom = this.iZoomGoal = 8.5f;
 
-        mc.ppm.reset();
+        this.mc.ppm.reset();
 
-        iRotationGoal = iRotation = -2;
+        this.iRotationGoal = this.iRotation = -2;
 
-        categories.add(blockCategory);
-        categories.add(entityCategory);
-        categories.add(particleCategory);
-        setCategory(entityCategory);
+        this.categories.add(this.blockCategory);
+        this.categories.add(this.entityCategory);
+        this.categories.add(this.particleCategory);
+        setCategory(this.entityCategory);
     }
+
     @Override
-    public void init()
-    {
-        buttons.clear();
+    public void init() {
+        this.buttons.clear();
         I18n i18n = I18n.getInstance();
 
         List<ButtonElement> leftSideButtons = new ArrayList<>();
 
-        buttonExit = new ListenerButtonElement(5, 0, height - 20, 20, 20, "X");
-        buttonExit.setActionListener(this::exitToMenu);
+        this.buttonExit = new ListenerButtonElement(5, 0, this.height - 20, 20, 20, "X");
+        this.buttonExit.setActionListener(this::exitToMenu);
 
-        buttonRotateLeft = new ListenerButtonElement(0, width / 2 - 49 - 2 - 20, height - 20, 20, 20, "<");
-        buttonRotateLeft.setActionListener(() -> {
-            iRotationGoal += 1;
-            iRotationGoal = (int) iRotationGoal;
+        this.buttonRotateLeft = new ListenerButtonElement(0, this.width / 2 - 49 - 2 - 20, this.height - 20, 20, 20, "<");
+        this.buttonRotateLeft.setActionListener(() -> {
+            this.iRotationGoal += 1;
+            this.iRotationGoal = (int) this.iRotationGoal;
         });
-        buttonRotateRight = new ListenerButtonElement(1, width / 2 + 49 + 2, height - 20, 20, 20, ">");
-        buttonRotateRight.setActionListener(() -> {
-            iRotationGoal -= 1;
-            iRotationGoal = (int) iRotationGoal;
+        this.buttonRotateRight = new ListenerButtonElement(1, this.width / 2 + 49 + 2, this.height - 20, 20, 20, ">");
+        this.buttonRotateRight.setActionListener(() -> {
+            this.iRotationGoal -= 1;
+            this.iRotationGoal = (int) this.iRotationGoal;
         });
-        buttonTakeScreenshot = new ListenerButtonElement(4, width / 2 - 49, height - 20, 98, 20, i18n.translateKey("gui.photo_mode.button.take_screenshot"));
-        buttonTakeScreenshot.setActionListener(this::screenShot);
-
-        ButtonElement bulkRender = new ListenerButtonElement(4, width - 100, height - 20, 98, 20, i18n.translateKey("gui.model_viewer.button.bulk_render")).setActionListener(this::bulkRender);
-
-        buttonPrevEntry = new ListenerButtonElement(10, width / 2 - 49 - 2 - 20, height - 40 - 2, 20, 20, "<");
-        buttonPrevEntry.setActionListener(() -> currentCategory.cycleCategoryEntry(-1));
-        buttonNextEntry = new ListenerButtonElement(11, width / 2 + 49 + 2, height - 40 - 2, 20, 20, ">");
-        buttonNextEntry.setActionListener(() -> currentCategory.cycleCategoryEntry(1));
-        buttonCategory = new ListenerButtonElement(12, width / 2 - 49, height - 40 - 2, 98, 20, i18n.translateKey(currentCategory.getCategoryNameKey()));
-        buttonCategory.setActionListener(() -> setCategory(categories.get((categories.indexOf(currentCategory) + 1) % categories.size())));
-        buttonCategory.setOnValueChanged(() -> buttonCategory.displayString = i18n.translateKey(currentCategory.getCategoryNameKey()));
-
-        buttonReloadTextures = new ListenerButtonElement(12, 21, height - 20, 98, 20, i18n.translateKey("gui.model_viewer.button.reload_textures"));
-        buttonReloadTextures.setActionListener(() -> mc.texturePackList.refresh());
-        buttonOpenScreenshotFolder = (ListenerButtonElement) new ListenerButtonElement(30, buttonReloadTextures.getWidth() + buttonReloadTextures.getX() + 1, buttonReloadTextures.getY(), 20, 20, "")
+        this.buttonTakeScreenshot = new ListenerButtonElement(4, this.width / 2 - 49, this.height - 20, 98, 20, i18n.translateKey("gui.photo_mode.button.take_screenshot"));
+        this.buttonTakeScreenshot.setActionListener(this::screenShot);
+
+        ButtonElement bulkRender = new ListenerButtonElement(4, this.width - 100, this.height - 20, 98, 20, i18n.translateKey("gui.model_viewer.button.bulk_render")).setActionListener(this::bulkRender);
+
+        this.buttonPrevEntry = new ListenerButtonElement(10, this.width / 2 - 49 - 2 - 20, this.height - 40 - 2, 20, 20, "<");
+        this.buttonPrevEntry.setActionListener(() -> this.currentCategory.cycleCategoryEntry(-1));
+        this.buttonNextEntry = new ListenerButtonElement(11, this.width / 2 + 49 + 2, this.height - 40 - 2, 20, 20, ">");
+        this.buttonNextEntry.setActionListener(() -> this.currentCategory.cycleCategoryEntry(1));
+        this.buttonCategory = new ListenerButtonElement(12, this.width / 2 - 49, this.height - 40 - 2, 98, 20, i18n.translateKey(this.currentCategory.getCategoryNameKey()));
+        this.buttonCategory.setActionListener(() -> setCategory(this.categories.get((this.categories.indexOf(this.currentCategory) + 1) % this.categories.size())));
+        this.buttonCategory.setOnValueChanged(() -> this.buttonCategory.displayString = i18n.translateKey(this.currentCategory.getCategoryNameKey()));
+
+        this.buttonReloadTextures = new ListenerButtonElement(12, 21, this.height - 20, 98, 20, i18n.translateKey("gui.model_viewer.button.reload_textures"));
+        this.buttonReloadTextures.setActionListener(() -> this.mc.texturePackList.refresh());
+        this.buttonOpenScreenshotFolder = (ListenerButtonElement) new ListenerButtonElement(30, this.buttonReloadTextures.getWidth() + this.buttonReloadTextures.getX() + 1, this.buttonReloadTextures.getY(), 20, 20, "")
             .setTextures("minecraft:gui/misc/button_folder", "minecraft:gui/misc/button_folder_highlighted", "minecraft:gui/misc/button_folder");
-        buttonOpenScreenshotFolder.setActionListener(() -> FileOpener.open(new File(mc.getMinecraftDir(), "")));
+        this.buttonOpenScreenshotFolder.setActionListener(() -> FileOpener.open(new File(this.mc.getMinecraftDir(), "")));
 
-        buttonCenterScreen = new ListenerButtonElement(10, 0, 0, 120, 20, i18n.translateKey("gui.photo_mode.button.center_camera"));
-        buttonCenterScreen.setActionListener(() -> {
-            iPanXGoal = 0;
-            iPanYGoal = 0;
+        this.buttonCenterScreen = new ListenerButtonElement(10, 0, 0, 120, 20, i18n.translateKey("gui.photo_mode.button.center_camera"));
+        this.buttonCenterScreen.setActionListener(() -> {
+            this.iPanXGoal = 0;
+            this.iPanYGoal = 0;
         });
 
-        buttonTickToggle = new ListenerButtonElement(13, width - 120, 0, 99, 20, i18n.translateKeyAndFormat("gui.model_viewer.button.tickprogress", tickProgress));
-        buttonTickToggle.setActionListener(() -> tickProgress = !tickProgress);
-        buttonTickToggle.setOnValueChanged(() -> buttonTickToggle.displayString = i18n.translateKeyAndFormat("gui.model_viewer.button.tickprogress", tickProgress));
+        this.buttonTickToggle = new ListenerButtonElement(13, this.width - 120, 0, 99, 20, i18n.translateKeyAndFormat("gui.model_viewer.button.tickprogress", this.tickProgress));
+        this.buttonTickToggle.setActionListener(() -> this.tickProgress = !this.tickProgress);
+        this.buttonTickToggle.setOnValueChanged(() -> this.buttonTickToggle.displayString = i18n.translateKeyAndFormat("gui.model_viewer.button.tickprogress", this.tickProgress));
 
-        ListenerButtonElement cameraRotateButton = new ListenerButtonElement(-1, width - 120, 0, 120, 20, i18n.translateKeyAndFormat("gui.model_viewer.button.rotate", rotateToCamera));
+        ListenerButtonElement cameraRotateButton = new ListenerButtonElement(-1, this.width - 120, 0, 120, 20, i18n.translateKeyAndFormat("gui.model_viewer.button.rotate", this.rotateToCamera));
         cameraRotateButton.setActionListener(() -> {
-            rotateToCamera = !rotateToCamera;
-            cameraRotateButton.displayString = i18n.translateKeyAndFormat("gui.model_viewer.button.rotate", rotateToCamera);
+            this.rotateToCamera = !this.rotateToCamera;
+            cameraRotateButton.displayString = i18n.translateKeyAndFormat("gui.model_viewer.button.rotate", this.rotateToCamera);
         });
 
-        ListenerButtonElement buttonManualTick = new ListenerButtonElement(14, width - 21, 0, 20, 20, "+");
+        ListenerButtonElement buttonManualTick = new ListenerButtonElement(14, this.width - 21, 0, 20, 20, "+");
         buttonManualTick.setActionListener(this::entryTick);
 
-        sliderTilt = new ListenerSliderElement(7, 0, 0, 120, 20, i18n.translateKey("gui.photo_mode.button.tilt.default"), iTiltGoal / 90f);
-        sliderTilt.setOnValueChanged(() ->{
+        this.sliderTilt = new ListenerSliderElement(7, 0, 0, 120, 20, i18n.translateKey("gui.photo_mode.button.tilt.default"), this.iTiltGoal / 90f);
+        this.sliderTilt.setOnValueChanged(() -> {
             // Update tilt slider
             String tilt = i18n.translateKey("gui.photo_mode.button.tilt.default");
-            if ((int)(sliderTilt.sliderValue * 90.0f) != 30)
-            {
-                tilt = (int)(sliderTilt.sliderValue * 90.0f) + " degrees";
+            if ((int) (this.sliderTilt.sliderValue * 90.0f) != 30) {
+                tilt = (int) (this.sliderTilt.sliderValue * 90.0f) + " degrees";
             }
-            sliderTilt.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.tilt", tilt);
-            if (sliderTilt.dragging)
-            {
-                iTiltGoal = (float) (int)(sliderTilt.sliderValue * 90.0f);
+            this.sliderTilt.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.tilt", tilt);
+            if (this.sliderTilt.dragging) {
+                this.iTiltGoal = (float) (int) (this.sliderTilt.sliderValue * 90.0f);
             }
         });
-        if(Shaders.enableShaders) {
-            buttonShaders = new ListenerButtonElement(8, 0, 0, 120, 20, i18n.translateKeyAndFormat("gui.photo_mode.button.shader", i18n.translateKey("gui.photo_mode.button.shader.none")));
-            buttonShaders.setActionListener(() -> {
-                boolean ctrl = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL);
-                if (ctrl)
-                {
-                    photoModeRenderer.first();
-                }
-                else
-                {
-                    photoModeRenderer.next();
-                }
-                sliderIntensity.enabled = photoModeRenderer.getActiveShader() != null;
-            });
-            buttonShaders.setOnValueChanged(() -> {
-                String activeShader = photoModeRenderer.getActiveShader();
-                if (activeShader == null) activeShader = i18n.translateKey("gui.photo_mode.button.shader.none");
-                activeShader = activeShader.toUpperCase(Locale.ROOT);
-                buttonShaders.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.shader", activeShader);
-            });
-            sliderIntensity = new ListenerSliderElement(9, 0, 0, 120, 20, i18n.translateKeyAndFormat("gui.photo_mode.button.intensity", (int)(intensityValue * 100) + "%"), intensityValue);
-            sliderIntensity.setOnValueChanged(() ->{
-                // Update intensity slider
-                sliderIntensity.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.intensity", (int)(sliderIntensity.sliderValue * 100) + "%");
-                if (sliderIntensity.dragging) {
-                    intensityValue = (float) sliderIntensity.sliderValue;
-                }
-            });
-
-            if (photoModeRenderer.getActiveShader() == null) {
-                sliderIntensity.enabled = false;
+        this.buttonShaders = new ListenerButtonElement(8, 0, 0, 120, 20, i18n.translateKeyAndFormat("gui.photo_mode.button.shader", i18n.translateKey("gui.photo_mode.button.shader.none")));
+        this.buttonShaders.setActionListener(() -> {
+            boolean ctrl = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL);
+            if (ctrl) {
+                this.photoModeRenderer.first();
+            } else {
+                this.photoModeRenderer.next();
             }
-        }
+            this.sliderIntensity.enabled = this.photoModeRenderer.getActiveShader() != null;
+        });
+        this.buttonShaders.setOnValueChanged(() -> {
+            String activeShader = this.photoModeRenderer.getActiveShader();
+            if (activeShader == null) activeShader = i18n.translateKey("gui.photo_mode.button.shader.none");
+            activeShader = activeShader.toUpperCase(Locale.ROOT);
+            this.buttonShaders.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.shader", activeShader);
+        });
+        this.sliderIntensity = new ListenerSliderElement(9, 0, 0, 120, 20, i18n.translateKeyAndFormat("gui.photo_mode.button.intensity", (int) (this.intensityValue * 100) + "%"), this.intensityValue);
+        this.sliderIntensity.setOnValueChanged(() -> {
+            // Update intensity slider
+            this.sliderIntensity.displayString = i18n.translateKeyAndFormat("gui.photo_mode.button.intensity", (int) (this.sliderIntensity.sliderValue * 100) + "%");
+            if (this.sliderIntensity.dragging) {
+                this.intensityValue = (float) this.sliderIntensity.sliderValue;
+            }
+        });
 
-        if(Shaders.enableShaders) {
-            mc.setRenderer(photoModeRenderer);
+        if (this.photoModeRenderer.getActiveShader() == null) {
+            this.sliderIntensity.enabled = false;
         }
 
-        buttons.add(cameraRotateButton);
-        buttons.add(buttonTickToggle);
+        this.mc.setRenderer(this.photoModeRenderer);
 
-        int i=0;
-        List<ButtonElement> _buttons = new ArrayList<>(buttons);
-        for(ButtonElement button : _buttons) {
+        this.buttons.add(cameraRotateButton);
+        this.buttons.add(this.buttonTickToggle);
+
+        int i = 0;
+        List<ButtonElement> _buttons = new ArrayList<>(this.buttons);
+        for (ButtonElement button : _buttons) {
             button.yPosition = i++ * 21;
         }
 
-        buttons.add(buttonManualTick);
-        buttonManualTick.yPosition = buttonTickToggle.yPosition;
+        this.buttons.add(buttonManualTick);
+        buttonManualTick.yPosition = this.buttonTickToggle.yPosition;
 
-        currentCategory.addContextButtons(buttons);
+        this.currentCategory.addContextButtons(this.buttons);
 
-        leftSideButtons.add(buttonCenterScreen);
-        leftSideButtons.add(sliderTilt);
+        leftSideButtons.add(this.buttonCenterScreen);
+        leftSideButtons.add(this.sliderTilt);
 
-        if(Shaders.enableShaders) {
-            leftSideButtons.add(buttonShaders);
-            leftSideButtons.add(sliderIntensity);
-        }
+        leftSideButtons.add(this.buttonShaders);
+        leftSideButtons.add(this.sliderIntensity);
 
         int j = 0;
-        for (ButtonElement button: leftSideButtons){
+        for (ButtonElement button : leftSideButtons) {
             button.yPosition = j++ * 21;
         }
 
-        buttons.addAll(leftSideButtons);
+        this.buttons.addAll(leftSideButtons);
 
-        ListenerTextFieldElement rField = new ListenerTextFieldElement(this, fontRenderer, 0, j++ * 21, 40, 20, String.valueOf(bgRed), "Red");
+        ListenerTextFieldElement rField = new ListenerTextFieldElement(this, this.fontRenderer, 0, j++ * 21, 40, 20, String.valueOf(this.bgRed), "Red");
         rField.setPrefaceText("R: ");
         rField.setKeyListener(key -> {
             try {
-                bgRed = Integer.parseInt(rField.getText());
-            } catch (Exception ignored){}
+                this.bgRed = Integer.parseInt(rField.getText());
+            } catch (Exception ignored) {
+            }
         });
         rField.setActionListener(() -> {
-            if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL)){
-                rField.setText(String.valueOf(defaultRed));
-                bgRed = defaultRed;
+            if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL)) {
+                rField.setText(String.valueOf(this.defaultRed));
+                this.bgRed = this.defaultRed;
             }
         });
-        ListenerTextFieldElement gField = new ListenerTextFieldElement(this, fontRenderer, 40, rField.yPosition, 40, 20, String.valueOf(bgGreen), "Green");
+        ListenerTextFieldElement gField = new ListenerTextFieldElement(this, this.fontRenderer, 40, rField.yPosition, 40, 20, String.valueOf(this.bgGreen), "Green");
         gField.setPrefaceText("G: ");
         gField.setKeyListener(key -> {
             try {
-                bgGreen = Integer.parseInt(gField.getText());
-            } catch (Exception ignored){}
+                this.bgGreen = Integer.parseInt(gField.getText());
+            } catch (Exception ignored) {
+            }
         });
         gField.setActionListener(() -> {
-            if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL)){
-                gField.setText(String.valueOf(defaultGreen));
-                bgGreen = defaultGreen;
+            if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL)) {
+                gField.setText(String.valueOf(this.defaultGreen));
+                this.bgGreen = this.defaultGreen;
             }
         });
-        ListenerTextFieldElement bField = new ListenerTextFieldElement(this, fontRenderer, 80, rField.yPosition, 40, 20, String.valueOf(bgBlue), "Blue");
+        ListenerTextFieldElement bField = new ListenerTextFieldElement(this, this.fontRenderer, 80, rField.yPosition, 40, 20, String.valueOf(this.bgBlue), "Blue");
         bField.setPrefaceText("B: ");
         bField.setKeyListener(key -> {
             try {
-                bgBlue = Integer.parseInt(bField.getText());
-            } catch (Exception ignored){}
+                this.bgBlue = Integer.parseInt(bField.getText());
+            } catch (Exception ignored) {
+            }
         });
         bField.setActionListener(() -> {
-            if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL)){
-                bField.setText(String.valueOf(defaultBlue));
-                bgBlue = defaultBlue;
+            if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL)) {
+                bField.setText(String.valueOf(this.defaultBlue));
+                this.bgBlue = this.defaultBlue;
             }
         });
 
-        buttons.add(rField);
-        buttons.add(gField);
-        buttons.add(bField);
-
-        buttons.add(buttonRotateLeft);
-        buttons.add(buttonRotateRight);
-        buttons.add(buttonTakeScreenshot);
-        buttons.add(bulkRender);
-        buttons.add(buttonOpenScreenshotFolder);
-        buttons.add(buttonPrevEntry);
-        buttons.add(buttonNextEntry);
-        buttons.add(buttonCategory);
-        buttons.add(buttonReloadTextures);
-        buttons.add(buttonExit);
+        this.buttons.add(rField);
+        this.buttons.add(gField);
+        this.buttons.add(bField);
+
+        this.buttons.add(this.buttonRotateLeft);
+        this.buttons.add(this.buttonRotateRight);
+        this.buttons.add(this.buttonTakeScreenshot);
+        this.buttons.add(bulkRender);
+        this.buttons.add(this.buttonOpenScreenshotFolder);
+        this.buttons.add(this.buttonPrevEntry);
+        this.buttons.add(this.buttonNextEntry);
+        this.buttons.add(this.buttonCategory);
+        this.buttons.add(this.buttonReloadTextures);
+        this.buttons.add(this.buttonExit);
     }
-    private void setCategory(ModelViewerCategory category){
-        if (currentCategory != null){
-            currentCategory.onClose();
+
+    private void setCategory(ModelViewerCategory category) {
+        if (this.currentCategory != null) {
+            this.currentCategory.onClose();
         }
-        currentCategory = category;
-        if (currentCategory != null){
-            currentCategory.onOpen();
+        this.currentCategory = category;
+        if (this.currentCategory != null) {
+            this.currentCategory.onOpen();
         }
         init();
     }
-    public static int cycleItemId(int itemId, int offset){
+
+    public static int cycleItemId(int itemId, int offset) {
         int id = (itemId + Item.itemsList.length + offset) % Item.itemsList.length;
-        while (Item.itemsList[id] == null){
+        while (Item.itemsList[id] == null) {
             id = (id + (int) Math.signum(offset) + Item.itemsList.length) % Item.itemsList.length;
         }
         return id;
     }
+
     private @Nullable ModelViewerCategory.Info lastInfo = null;
+
     @Override
-    public void render(int mx, int my, float partialTick)
-    {
-        if (lastInfo != null) {
-            specificScreenshot(lastInfo.outputFile());
+    public void render(int mx, int my, float partialTick) {
+        if (this.lastInfo != null) {
+            specificScreenshot(this.lastInfo.outputFile());
         }
-        if (this.currentCategory == blockCategory && !blockCategoryBulkRenders.isEmpty()) {
-            lastInfo = blockCategoryBulkRenders.remove(0);
-            mc.currentWorld.entities.clear();
-            mc.currentWorld.tileEntityList.clear();
-            blockCategory.setupRender(lastInfo);
-            iRotation = iRotationGoal = lastInfo.renderRotation();
-            iZoom = iZoomGoal = lastInfo.renderZoom();
+        if (this.currentCategory == this.blockCategory && !this.blockCategoryBulkRenders.isEmpty()) {
+            this.lastInfo = this.blockCategoryBulkRenders.remove(0);
+            this.mc.currentWorld.entities.clear();
+            this.mc.currentWorld.tileEntityList.clear();
+            this.blockCategory.setupRender(this.lastInfo);
+            this.iRotation = this.iRotationGoal = this.lastInfo.renderRotation();
+            this.iZoom = this.iZoomGoal = this.lastInfo.renderZoom();
         } else {
-            lastInfo = null;
+            this.lastInfo = null;
         }
 
-        GL11.glViewport(0, 0, mc.gameWindow.getWidthPixels(), mc.gameWindow.getHeightPixels());
-        GL11.glMatrixMode(GL11.GL_PROJECTION);
-        GL11.glLoadIdentity();
-        GL11.glMatrixMode(GL11.GL_MODELVIEW /*GL_MODELVIEW0_ARB*/);
-        GL11.glLoadIdentity();
-        GL11.glClear(256);
-        GL11.glMatrixMode(GL11.GL_PROJECTION);
-        GL11.glLoadIdentity();
-        GL11.glOrtho(0.0D, mc.resolution.getExactScaledWidthScreenCoords(), mc.resolution.getExactScaledHeightScreenCoords(), 0.0D, 1000D, 3000D);
-        GL11.glMatrixMode(GL11.GL_MODELVIEW /*GL_MODELVIEW0_ARB*/);
-        GL11.glLoadIdentity();
-        GL11.glTranslatef(0.0F, 0.0F, -2000F);
-
-        if (rotateToCamera){
-            mc.thePlayer.yRotO = mc.thePlayer.yRot = getRotation(partialTick) * 45f - 135f;
+        GL41.glViewport(0, 0, this.mc.gameWindow.getWidthPixels(), this.mc.gameWindow.getHeightPixels());
+        GLRenderer.projectionM4f().identity().ortho(0.0f, (float) this.mc.resolution.getExactScaledWidthScreenCoords(), (float) this.mc.resolution.getExactScaledHeightScreenCoords(), 0.0f, 1000f, 3000f);
+        GLRenderer.viewM4f().identity();
+        GLRenderer.modelM4f().identity();
+        GL41.glClear(GL41.GL_DEPTH_BUFFER_BIT);
+        GLRenderer.modelM4f().translate(0.0F, 0.0F, -2000F);
+
+        if (this.rotateToCamera) {
+            this.mc.thePlayer.yRotO = this.mc.thePlayer.yRot = getRotation(partialTick) * 45f - 135f;
         } else {
-            mc.thePlayer.yRotO = mc.thePlayer.yRot = 180;
+            this.mc.thePlayer.yRotO = this.mc.thePlayer.yRot = 180;
         }
 
-        lastIZoom = iZoom;
-        if (iZoom != iZoomGoal)
-        {
-            iZoom += (iZoomGoal - iZoom) * 0.08f;
-            if (Math.abs(iZoom - iZoomGoal) < 0.0005f) iZoom = iZoomGoal;
+        this.lastIZoom = this.iZoom;
+        if (this.iZoom != this.iZoomGoal) {
+            this.iZoom += (this.iZoomGoal - this.iZoom) * 0.08f;
+            if (Math.abs(this.iZoom - this.iZoomGoal) < 0.0005f) this.iZoom = this.iZoomGoal;
         }
 
-        lastIRotation = iRotation;
-        if (iRotation != iRotationGoal)
-        {
-            iRotation += (iRotationGoal - iRotation) * 0.08f;
-            if (Math.abs(iRotation - iRotationGoal) < 0.0005f) iRotation = iRotationGoal;
+        this.lastIRotation = this.iRotation;
+        if (this.iRotation != this.iRotationGoal) {
+            this.iRotation += (this.iRotationGoal - this.iRotation) * 0.08f;
+            if (Math.abs(this.iRotation - this.iRotationGoal) < 0.0005f) this.iRotation = this.iRotationGoal;
         }
 
-        lastITilt = iTilt;
-        if (iTilt != iTiltGoal)
-        {
-            iTilt += (iTiltGoal - iTilt) * 0.08f;
-            if (Math.abs(iTilt - iTiltGoal) < 0.01f) iTilt = iTiltGoal;
+        this.lastITilt = this.iTilt;
+        if (this.iTilt != this.iTiltGoal) {
+            this.iTilt += (this.iTiltGoal - this.iTilt) * 0.08f;
+            if (Math.abs(this.iTilt - this.iTiltGoal) < 0.01f) this.iTilt = this.iTiltGoal;
         }
 
-        lastIPanX = iPanX;
-        if (iPanX != iPanXGoal)
-        {
-            iPanX += (iPanXGoal - iPanX) * 0.4f;
-            if (Math.abs(iPanX - iPanXGoal) < 0.01f) iPanX = iPanXGoal;
+        this.lastIPanX = this.iPanX;
+        if (this.iPanX != this.iPanXGoal) {
+            this.iPanX += (this.iPanXGoal - this.iPanX) * 0.4f;
+            if (Math.abs(this.iPanX - this.iPanXGoal) < 0.01f) this.iPanX = this.iPanXGoal;
         }
 
-        lastIPanY = iPanY;
-        if (iPanY != iPanYGoal)
-        {
-            iPanY += (iPanYGoal - iPanY) * 0.4f;
-            if (Math.abs(iPanY - iPanYGoal) < 0.01f) iPanY = iPanYGoal;
+        this.lastIPanY = this.iPanY;
+        if (this.iPanY != this.iPanYGoal) {
+            this.iPanY += (this.iPanYGoal - this.iPanY) * 0.4f;
+            if (Math.abs(this.iPanY - this.iPanYGoal) < 0.01f) this.iPanY = this.iPanYGoal;
         }
 
-        buttonCenterScreen.enabled = (iPanX != 0 || iPanY != 0) && !(iPanXGoal == 0 && iPanYGoal == 0);
+        this.buttonCenterScreen.enabled = (this.iPanX != 0 || this.iPanY != 0) && !(this.iPanXGoal == 0 && this.iPanYGoal == 0);
 
-        List<ButtonElement> _buttons = new ArrayList<>(buttons);
+        List<ButtonElement> _buttons = new ArrayList<>(this.buttons);
         for (ButtonElement button : _buttons) {
-            button.drawButton(mc, mx, my);
+            button.drawButton(this.mc, mx, my);
         }
 
         scroll(Mouse.getDWheel());
 
-//        TileEntityRenderDispatcher.instance.renderTileEntity(Tessellator.instance, new TileEntity(), -0.5D, -0.75D, -0.5D, partialTick);
+//        TileEntityRenderDispatcher.instance.renderTileEntity(GLRenderer.getTessellator(), new TileEntity(), -0.5D, -0.75D, -0.5D, partialTick);
 
-        drawStringCenteredShadow(fontRenderer, currentCategory.getCurrentDisplayInfo(I18n.getInstance()), width/2, 1, 0xffffff);
+        drawStringCenteredShadow(this.fontRenderer, this.currentCategory.getCurrentDisplayInfo(I18n.getInstance()), this.width / 2, 1, 0xffffff);
     }
+
     @Override
-    public void keyPressed(char eventCharacter, int eventKey, int mx, int my)
-    {
+    public void keyPressed(char eventCharacter, int eventKey, int mx, int my) {
         if (eventKey == Keyboard.KEY_ESCAPE) {
             exitToMenu();
         }
-        List<ButtonElement> _buttons = new ArrayList<>(buttons);
-        for (ButtonElement button : _buttons){
-            if (button instanceof IListenerElement && button.isHovered(mx, my)){
-                ((IListenerElement<?>) button).onKeyTyped(eventCharacter, eventKey);
+        List<ButtonElement> _buttons = new ArrayList<>(this.buttons);
+        for (ButtonElement button : _buttons) {
+            if (button instanceof IListenerElement<?> element && button.isHovered(mx, my)) {
+                element.onKeyTyped(eventCharacter, eventKey);
             }
         }
     }
-    private void exitToMenu(){
-        currentCategory.onClose();
-        mc.changeWorld(null);
-        mc.displayScreen(new ScreenOptions(null, OptionsPages.DEBUG));
+
+    private void exitToMenu() {
+        this.currentCategory.onClose();
+        this.mc.changeWorld(null);
+        this.mc.displayScreen(new ScreenOptions(null, OptionsPages.DEBUG));
     }
-    public static int cycleBlockId(int id, int idOff){
+
+    public static int cycleBlockId(int id, int idOff) {
         int id2 = (id + Blocks.blocksList.length + idOff) % Blocks.blocksList.length;
-        while (Blocks.blocksList[id2] == null){
+        while (Blocks.blocksList[id2] == null) {
             id2 = (id2 + (int) Math.signum(idOff) + Blocks.blocksList.length) % Blocks.blocksList.length;
         }
         return id2;
     }
+
     @Override
     public void removed() {
-        if(Shaders.enableShaders) {
-            mc.setRenderer(previousRenderer);
-        }
+        this.mc.setRenderer(this.previousRenderer);
         Minecraft.doPartialTick = true;
     }
+
     @Override
-    public void tick()
-    {
+    public void tick() {
         super.tick();
-        List<ButtonElement> _buttons = new ArrayList<>(buttons);
-        for (ButtonElement button : _buttons){
-            if (button instanceof ListenerButtonElement){
-                ((ListenerButtonElement) button).tick();
+        List<ButtonElement> _buttons = new ArrayList<>(this.buttons);
+        for (ButtonElement button : _buttons) {
+            if (button instanceof ListenerButtonElement element) {
+                element.tick();
             }
         }
-        if (tickProgress){
+        if (this.tickProgress) {
             entryTick();
         }
-        Minecraft.doPartialTick = tickProgress;
+        Minecraft.doPartialTick = this.tickProgress;
     }
-    private void entryTick(){
-        mc.textureManager.updateDynamicTextures(false);
-        mc.particleEngine.tick();
-        currentCategory.onTick();
+
+    private void entryTick() {
+        this.mc.textureManager.updateDynamicTextures(false);
+        this.mc.particleEngine.tick();
+        this.currentCategory.onTick();
         // TODO this fixes world time based animation, but also ticks things like wind and im not certain on the best way to set wind direction arbitrarily right now
 //        mc.theWorld.getLevelData().setWorldTime(mc.theWorld.getWorldTime() + 1);
     }
+
     @Override
     protected void buttonClicked(@NotNull ButtonElement button) {
         // Overrides the regular GuiPhotomode's method
     }
 
     public long timeLastKeyPressed = System.currentTimeMillis();
+
     @Override
     public void textChanged(ListenerTextFieldElement textField) {
-        timeLastKeyPressed = System.currentTimeMillis();
+        this.timeLastKeyPressed = System.currentTimeMillis();
     }
-    public float[] getBackgroundFogColor(){
-        return new float[]{bgRed/255f, bgGreen/255f, bgBlue/255f};
+
+    public float[] getBackgroundFogColor() {
+        return new float[]{this.bgRed / 255f, this.bgGreen / 255f, this.bgBlue / 255f};
     }
+
     private static final DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd_HH.mm.ss");
-    public void screenShot(){
+
+    public void screenShot() {
         try {
-            File screenshotsDir = new File(mc.getMinecraftDir(), "screenshots");
+            File screenshotsDir = new File(this.mc.getMinecraftDir(), "screenshots");
             //noinspection ResultOfMethodCallIgnored
             screenshotsDir.mkdir();
-            Texture texture = ((ShadersRenderer)mc.renderer).getWorldFramebufferTex();
+            Texture texture = ((ShadersRenderer) this.mc.renderer).getWorldFramebufferColor();
             texture.bind();
 
             int w = glGetTexLevelParameteri(GL_TEXTURE_2D, 0, GL_TEXTURE_WIDTH);
